#!/usr/bin/env bash

if [ "$#" -lt 2 ]; then
  echo "Usage: $0 [limit...] [playbook...]"
  exit
fi

LIMIT=""
PLAYBOOKS=""
for ARG in ${@}; do
  echo "${ARG}" | grep ".yml" &>/dev/null
  if [ $? -ne 0 ]; then
    LIMIT="${LIMIT},${ARG}"
  else
    PLAYBOOKS="${PLAYBOOKS} ${ARG}"
  fi
done
LIMIT="${LIMIT:1}"
PLAYBOOKS="${PLAYBOOKS:1}"

for PLAYBOOK in ${PLAYBOOKS}; do
  ansible-playbook --forks 1 --limit ${LIMIT} ${PLAYBOOK}
  shift
done
